 ;									     ;
 ;			       OSLm i386 Kernel				     ;
 ;									     ;
;Specifications:
;see file .../doc/info/i386impl.nfo
;see file .../doc/info/BIOS-API.nfo
Ideal		; Quit Microsoftish things as soon as possible
%nolist		; do not include *this* in listing...
;;;;;;;;;;;;;;;;;;;;;;;;;; COMPILATION DIRECTIVES ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Listinf directives
%noctls
%noincl
%noconds
;%nocref
;%nomacs
;%syms
;%notrunc
P386	; of course ! (allow protected mode)
smart
nowarn pdc
Include "macro.inc"	; Macros
Include "mem386.inc"
%list	; let's go
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; Define segments ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Masm	;;; Ensure that segments will be ordered in their appearing order
.SEQ
Ideal
Group	__Header__	HeaderBinary, HeaderStrings
Group	__Init__	RM_InitCode, InitCode, InitData, InitUData
Group	__RM_P__	RM_Code, RM_Data, RM_UData
Group	__PM_P__	Code, Data, UData
Segment HeaderBinary	para public use32 'Header'
EndS	HeaderBinary
Segment HeaderStrings	byte public use32 'Header'
EndS	HeaderStrings
Segment RM_InitCode	dword public use16 'Kernel'
EndS	RM_InitCode
Segment RM_Code		para public use16 'API'
EndS	RM_Code
Segment RM_Data		para public use16 'API'
EndS	RM_Data
Segment RM_UData	dword public use16 'API'
EndS	RM_UData
Segment Code		para public use32 'Kernel'
EndS	Code
Segment Data		para public use32 'Kernel'
EndS	Data
Segment UData		para public use32 'Kernel'
EndS	UData
Segment InitData	dword public use32 'Kernel'
EndS	InitData
Segment InitUData	dword public use32 'Kernel'
EndS	InitUData
Segment InitCode	dword public use32 'Kernel'
EndS	InitCode

;;; Public definitions should allow (with a public map file)
;;; external programs to get the entry points rights.
